
%global PREFIX /usr/
%global BINDIR %{PREFIX}/bin
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT runtime
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}

%global DEFAULT_QEMU qemu-system-x86_64

%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
%define  debug_package %{nil}

Name:      kata-runtime
Version:   1.5.4
Release:   2%{?dist}
Source0:   %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:    Oracle America
Summary:   Kata containers OCI compatible runtime
Group:     Development/Tools
License:   Apache-2.0

BuildRequires: git
BuildRequires: golang >= 1.11.5
%if 0%{?suse_version} && 0%{?is_opensuse}
BuildRequires: openSUSE-release
%endif

Requires: kata-proxy >= 1.5.4
Requires: kata-shim >= 1.5.4
Requires: kata-ksm-throttler >= 1.5.4

Requires: qemu >= 2:2.9.0-9

Requires: kernel-uek-container >= 4.14.14-4
Requires: kata-image >= 1.5.4

%description
Kata Containers runtime component leverages the virtcontainers package to provide a high-performance standards-compliant runtime that creates hardware-virtualized containers. The runtime is OCI-compatible, CRI-O-compatible, and Containerd-compatible, allowing it to work seamlessly with both Docker and Kubernetes respectively.

%prep
%setup 

%build
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/kata-runtime-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make \
	QEMUPATH=/usr/bin/%{DEFAULT_QEMU} \
	SKIP_GO_VERSION_CHECK=1

%install
export GOPATH=$HOME/rpmbuild/BUILD/go/

cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make \
    PREFIX=/usr/ \
    DESTDIR=%{buildroot} \
    QEMUPATH=/usr/bin/%{DEFAULT_QEMU} \
    SKIP_GO_VERSION_CHECK=1 \
    install
sed -i -e '/^initrd =/d' %{buildroot}/usr/share/defaults/kata-containers/configuration.toml

%files
%license LICENSE
%defattr(-,root,root,-)
/usr/bin/kata-runtime
/usr/bin/kata-collect-data.sh
/usr/bin/containerd-shim-kata-v2
/usr/share/defaults/kata-containers/configuration.toml
/usr/share/defaults/kata-containers/configuration-fc.toml
/usr/share/defaults/kata-containers/configuration-qemu.toml
/usr/share/bash-completion/completions/kata-runtime
/usr/libexec/kata-containers/kata-netmon

%changelog
* Thu May 09 2019 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.5.4-2
- Added Oracle Specific Files For kata-runtime

